summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDan Rostovtsev <dan@rostovtsev.org>2026-04-06 10:23:48 -0400
committerDan Rostovtsev <dan@rostovtsev.org>2026-04-07 20:12:37 -0400
commit91f597a32f5d092c1fe105dfc1a5686f8fba22c5 (patch)
tree8603c67655a0a7c1cd14fa3d7412b93329f5556d
parent31b53430720ef869115cc80c7b851782171b7d70 (diff)
Added build to start of patch checklist.
Change-Id: I4e3ad9f361ef44a205e8207b112cf938398e35d1
-rw-r--r--patch-checklist.bash14
1 files changed, 11 insertions, 3 deletions
diff --git a/patch-checklist.bash b/patch-checklist.bash
index a0f1174450c..424e3e3a03a 100644
--- a/patch-checklist.bash
+++ b/patch-checklist.bash
@@ -20,6 +20,10 @@ then
exit 1
fi
+./bootstrap
+./configure
+make -j4
+
DEVGUIX="./pre-inst-env guix"
# 1. Check the cryptographic signature
@@ -49,6 +53,12 @@ $DEVGUIX refresh --list-dependent $PACKAGE
# 10. Check if build is deterministic
$DEVGUIX build -q --rounds=2 --check $PACKAGE
+if [ $? ]
+then
+ echo "Build check succeeded!"
+else
+ echo "Build check failed. $PACKAGE may not be deterministic."
+fi
# 11. Gender neutral wording.
@@ -59,9 +69,7 @@ $DEVGUIX build -q --rounds=2 --check $PACKAGE
# 14. Use mirrors of github repos: don't use GitHub archives.
# 15. Check if Guix builds (see building from Git)
-autoreconf -vif
-./configure
-make -j 4
+# skipping. done at the start.
# 16. Run a guix pull
# -q to make sure local channel settings are ignored